std::atomic_flag Struct Reference
Atomics

`#include <atomic_base.h>`

Inheritance diagram for std::atomic_flag:
[legend]

## Public Member Functions

constexpr | atomic_flag (bool __i) noexcept
| atomic_flag (const atomic_flag &)=delete
void | clear (memory_order __m=memory_order_seq_cst) noexcept
void | clear (memory_order __m=memory_order_seq_cst) volatile noexcept
atomic_flag & | operator= (const atomic_flag &) volatile =delete
atomic_flag & | operator= (const atomic_flag &)=delete
bool | test_and_set (memory_order __m=memory_order_seq_cst) noexcept
bool | test_and_set (memory_order __m=memory_order_seq_cst) volatile noexcept

## Public Attributes

__atomic_flag_data_type | _M_i

## Detailed Description

atomic_flag

Definition at line 196 of file atomic_base.h.

## Constructor & Destructor Documentation

## atomic_flag()

std::atomic_flag::atomic_flag | ( | bool | __i | ) |

inline constexpr noexcept

Definition at line 205 of file atomic_base.h.

## Member Function Documentation

## clear() [1/2]

void std::atomic_flag::clear | ( | memory_order | __m = memory_order_seq_cst | ) |

inline noexcept

Definition at line 269 of file atomic_base.h.

## clear() [2/2]

void std::atomic_flag::clear | ( | memory_order | __m = memory_order_seq_cst | ) | volatile

inline noexcept

Definition at line 281 of file atomic_base.h.

## test_and_set() [1/2]

bool std::atomic_flag::test_and_set | ( | memory_order | __m = memory_order_seq_cst | ) |

inline noexcept

Definition at line 210 of file atomic_base.h.

## test_and_set() [2/2]

bool std::atomic_flag::test_and_set | ( | memory_order | __m = memory_order_seq_cst | ) | volatile

inline noexcept

Definition at line 216 of file atomic_base.h.

## Member Data Documentation

## _M_i

__atomic_flag_data_type std::__atomic_flag_base::_M_i

inherited

Definition at line 188 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h